Как я могу запустить HTML Selenese тесты с использованием Selenium 2.0 и Maven?


У меня есть ряд HTML-тестов, которые я могу запустить с помощью selenese goal, selenium-maven-plugin (версия 1.1). Я смог запустить это для IE. Однако это не работает с Firefox 4. Я продолжаю получать пустое окно firefox, открывающееся, и сервер просто будет висеть там. Я считаю, что сузил проблему до того, что плагин Selenium-maven использует старое ядро Selenium 1.0, которое не работает должным образом с Firefox 4.

Мне было интересно, есть ли какие-то путь, используя Maven и Selenium 2.0, чтобы запустить эти HTML-тесты. Ниже приведен фрагмент моего файла POM.

     ...    
     <plugins>
        <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>selenium-maven-plugin</artifactId>
            <version>1.1</version>
            <configuration>
                <browser>*iexploreproxy</browser>
                <suite>src/test/selenium/html/suite.html</suite>
                <startURL>http://localhost:5555/</startURL>
                <port>5555</port>
            </configuration>
            <executions>
                <execution>
                    <id>Run-Selenese-Scripts</id>
                    <phase>integration-test</phase>
                    <goals>
                        <goal>selenese</goal>
                    </goals>
                    <configuration>
                        <port>5555</port>
                    </configuration>
                </execution>
            </executions>
        </plugin>
    </plugins>
    ...

Если есть какой-либо другой способ запуска HTML-пакетов (помимо Selenium IDE), который я, возможно, пропустил, пожалуйста, поделитесь.

Спасибо,

Хуан

1   3  

1 ответ:

Вчера у меня была точно такая же проблема на OSX. Попытка использовать firefox 4-открывается пустое окно firefox, и selenium-server не обнаруживает его. Единственная версия, которая исправляет эту проблему (все равно OSX) является 2.0b3.

У меня есть вилка текущего ствола обновленного до 2. 0b3 на github: https://github.com/thelmstedt/selenium-maven-plugin . YMMV

На самом деле есть способ переопределить версию selenium в объявлении плагина selenium-maven-plugin: смотрите эту jira проблема для кого-то устранения неполадок.

Но люди selenium недавно изменили свою упаковку maven, и я не смог использовать это для переопределения последней зависимости 2. 0b3. Сравните загруженную версию 2.0b1 с версией 2.0b3. Правильный способ объявить зависимость от Селена теперь с <type>pom</type>. Я буду счастлив, если окажется, что я ошибаюсь.